Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003689 [JEDI VCL] 00 JVCL Components major always 2006-05-06 09:07 2006-05-09 01:15
Reporter ahesse View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003689: TJvOutlookBarButton: Click doesn't support FActionLink
Description Click method doesn't support FActionLink the same way other components do.
It should use the same implemantion as the others, like TButton:

BugFix:

procedure TJvOutlookBarButton.Click;
begin
  { Call OnClick if assigned and not equal to associated action's OnExecute.
    If associated action's OnExecute assigned then call it, otherwise, call
    OnClick. }
  if Assigned(FOnClick) and (Action <> nil) and (@FOnClick <> @Action.OnExecute) then
    FOnClick(Self)
  else if (GetOutlookBar <> nil) and not (csDesigning in GetOutlookBar.ComponentState) and (FActionLink <> nil) then
    FActionLink.Execute(Self.GetOutlookBar)
  else if Assigned(FOnClick) then
    FOnClick(Self);
end;
Additional Information
Tags No tags attached.
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2006-05-06 09:07 ahesse New Issue
2006-05-08 02:23 obones Status new => acknowledged
2006-05-09 01:15 obones Status acknowledged => resolved
2006-05-09 01:15 obones Fixed in Version => Daily / SVN
2006-05-09 01:15 obones Resolution open => fixed
2006-05-09 01:15 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker